Skip to main content
GET
/
api
/
v1
/
processes
/
{pid}
/
stderr
Get stderr
curl --request GET \
  --url https://{sandbox_id_or_name}.sandbox.tensorlake.ai/api/v1/processes/{pid}/stderr \
  --header 'Authorization: Bearer <token>'
{
  "pid": 123,
  "lines": [
    "<string>"
  ],
  "line_count": 123
}
Read stderr that has already been captured for a process.

Endpoint

GET /api/v1/processes/{pid}/stderr

Example Request

curl https://<sandbox-id>.sandbox.tensorlake.ai/api/v1/processes/42/stderr \
  -H "Authorization: Bearer $TENSORLAKE_API_KEY"

Response

Tensorlake returns 200 OK:
{
  "pid": 42,
  "lines": [
    "Traceback (most recent call last):",
    "ValueError: invalid input"
  ],
  "line_count": 2
}
If you need stdout only, use Get Process Stdout. If you need both streams merged, use Get Process Output.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

pid
integer<int32>
required

The operating system PID of the process.

Response

Captured stderr

pid
integer<int32>
required
lines
string[]
required
line_count
integer<int32>
required